Package com.google.protobuf

# Interface DescriptorProtos.UninterpretedOptionOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.UninterpretedOption`, `DescriptorProtos.UninterpretedOption.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.UninterpretedOptionOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getAggregateValue()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`ByteString`
`getAggregateValueBytes()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`double`
`getDoubleValue()`
`optional double double_value = 6 [json_name = "doubleValue"];`
`String`
`getIdentifierValue()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`ByteString`
`getIdentifierValueBytes()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`DescriptorProtos.UninterpretedOption.NamePart`
`getName(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`int`
`getNameCount()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`List<DescriptorProtos.UninterpretedOption.NamePart>`
`getNameList()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.NamePartOrBuilder`
`getNameOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder>`
`getNameOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`long`
`getNegativeIntValue()`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`long`
`getPositiveIntValue()`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`ByteString`
`getStringValue()`
`optional bytes string_value = 7 [json_name = "stringValue"];`
`boolean`
`hasAggregateValue()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`boolean`
`hasDoubleValue()`
`optional double double_value = 6 [json_name = "doubleValue"];`
`boolean`
`hasIdentifierValue()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`boolean`
`hasNegativeIntValue()`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`boolean`
`hasPositiveIntValue()`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`boolean`
`hasStringValue()`
`optional bytes string_value = 7 [json_name = "stringValue"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getNameList

List<DescriptorProtos.UninterpretedOption.NamePart> getNameList()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getName

DescriptorProtos.UninterpretedOption.NamePart getName(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameCount

int getNameCount()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameOrBuilderList

List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder> getNameOrBuilderList()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameOrBuilder

DescriptorProtos.UninterpretedOption.NamePartOrBuilder getNameOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### hasIdentifierValue

boolean hasIdentifierValue()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Returns:
  Whether the identifierValue field is set.

### getIdentifierValue

String getIdentifierValue()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Returns:
  The identifierValue.

### getIdentifierValueBytes

ByteString getIdentifierValueBytes()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Returns:
  The bytes for identifierValue.

### hasPositiveIntValue

boolean hasPositiveIntValue()
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Returns:
  Whether the positiveIntValue field is set.

### getPositiveIntValue

long getPositiveIntValue()
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Returns:
  The positiveIntValue.

### hasNegativeIntValue

boolean hasNegativeIntValue()
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Returns:
  Whether the negativeIntValue field is set.

### getNegativeIntValue

long getNegativeIntValue()
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Returns:
  The negativeIntValue.

### hasDoubleValue

boolean hasDoubleValue()
`optional double double_value = 6 [json_name = "doubleValue"];`

Returns:
  Whether the doubleValue field is set.

### getDoubleValue

double getDoubleValue()
`optional double double_value = 6 [json_name = "doubleValue"];`

Returns:
  The doubleValue.

### hasStringValue

boolean hasStringValue()
`optional bytes string_value = 7 [json_name = "stringValue"];`

Returns:
  Whether the stringValue field is set.

### getStringValue

ByteString getStringValue()
`optional bytes string_value = 7 [json_name = "stringValue"];`

Returns:
  The stringValue.

### hasAggregateValue

boolean hasAggregateValue()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Returns:
  Whether the aggregateValue field is set.

### getAggregateValue

String getAggregateValue()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Returns:
  The aggregateValue.

### getAggregateValueBytes

ByteString getAggregateValueBytes()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Returns:
  The bytes for aggregateValue.